Skip to main content
GET
/
query-fanouts
List Query Fanouts
curl --request GET \
  --url https://server.promptwatch.com/api/v2/query-fanouts \
  --header 'X-API-Key: <api-key>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "prompt": "<string>",
      "type": "ORGANIC",
      "intent": "BRANDED",
      "combinedVolume": 123,
      "combinedDifficulty": 123,
      "keywords": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "text": "<string>",
          "extractedFromChatgpt": true,
          "googleSearchVolume": 123,
          "bingSearchVolume": 123,
          "aiSearchVolume": 123,
          "googleKeywordDifficulty": 123
        }
      ]
    }
  ],
  "total": 123,
  "page": 123,
  "size": 123,
  "totalPages": 123
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Get yours from the Promptwatch dashboard under Settings > API Keys.

Query Parameters

page
number
default:1
Required range: x >= 1
size
number
default:25
Required range: 1 <= x <= 100
query
string

Text search on prompt

promptTypes

Filter by prompt types. Repeat for multiple: promptTypes=ORGANIC&promptTypes=BRAND_SPECIFIC

Available options:
ORGANIC,
BRAND_SPECIFIC,
COMPETITOR_COMPARISON
intentTypes

Filter by intent types. Repeat for multiple: intentTypes=BRANDED&intentTypes=INFORMATIONAL

Available options:
BRANDED,
INFORMATIONAL,
NAVIGATIONAL,
COMMERCIAL,
TRANSACTIONAL
hasChatgptFanouts
boolean

Filter to prompts with ChatGPT-extracted keywords

promptId

Filter by prompt ID(s). Repeat for multiple: promptId=id1&promptId=id2

sortBy
enum<string>

Sort field (combinedVolume/combinedDifficulty not supported - computed post-query)

Available options:
createdAt,
updatedAt,
type,
intent
sortOrder
enum<string>
Available options:
asc,
desc

Response

Default Response

items
object[]
required
total
number
required
page
number
required
size
number
required
totalPages
number
required